> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Identity Template
> This PATCH API is designed to perform an UPDATE operation on Identity Template ID in the indicated Environment.
Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.
Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.
| Header | Value | cURL Line |
|---|---|---|
| Accept | `application/json` | `-H "Accept:application/json"` |
| Content-Type | `application/json` | `-H "Content-Type:application/json"` |
In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.
## OpenAPI ````json PATCH /api/1.0/identity-templates/{envId}/{identityTemplateId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "| Region | Base URL |
|---|---|
| United States (US) | https://api.us1.plainid.io |
| Canada (CA) | https://api.ca1.plainid.io |
| Europe (EU) | https://api.eu1.plainid.io |
| Local PAA | https://api.plainid.local |
Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.
Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.
| Header | Value | cURL Line |
|---|---|---|
| Accept | `application/json` | `-H \"Accept:application/json\"` |
| Content-Type | `application/json` | `-H \"Content-Type:application/json\"` |
In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.
", "tags": [ "Identity Template" ], "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "format": "uuid" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings." }, { "name": "identityTemplateId", "in": "path", "required": "true", "schema": { "type": "string", "format": "uuid" }, "description": "The Identity Template ID. This can be found in the Details tab in the Identity Workspace Settings." } ], "requestBody": { "description": "Fields to patch in the Asset Template Action.", "required": "true", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/IdentityTemplatePatch" }, "examples": { "example": { "value": [ { "op": "replace", "path": "/templateId", "value": "newID" } ] } } } } }, "responses": { "204": { "description": "Successful operation", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "400": { "description": "Validation Error", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "401": { "description": "Unauthorized", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "403": { "description": "Forbidden", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "404": { "description": "Object not found", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "validationError": { "$ref": "#/components/examples/identityTemplateNotFound" } } } } }, "422": { "description": "Payload Validation Error", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "validationError": { "$ref": "#/components/examples/missingPathValidation" } } } } }, "500": { "description": "Internal Server Error", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } } } } } }, "components": { "schemas": { "IdentityTemplatePatch": { "type": "array", "description": "Identity Type patch", "items": { "type": "object", "properties": { "op": { "type": "string", "enum": [ "replace" ] }, "path": { "type": "string", "pattern": "^(/[^/]+)+$" }, "value": { "oneOf": [ { "type": "string" }, { "type": "number" }, { "type": "boolean" } ] } } } }, "ErrorResponse": { "type": "object", "properties": { "code": { "type": "string" }, "message": { "type": "string" }, "details": { "type": "string" } } } }, "examples": { "identityTemplateNotFound": { "value": { "errors": [ { "code": "EMIT-002", "id": "EQ7CMX", "status": "404", "name": "IdentityTemplateNotFoundError", "message": "Identity Template: [User1] not found in Environment: [848aa1dd-3516-4dbe-b1bb-c32454302dc4], Hint: did you mean [User, Target]" } ] } }, "missingPathValidation": { "value": { "errors": [ { "code": "V-027", "args": { "0": "path" }, "id": "E9YIWG", "status": "422", "name": "UnprocessableEntityError", "message": "$[0].path: is missing but it is required" } ] } } } } } ````